Skip to main content

Knowledge Assistant

View as Markdown

KnowledgeAssistant object

Entity message that represents a knowledge assistant. Note: REQUIRED annotations below represent create-time requirements. For updates, required fields are determined by the update mask.

namestringBeta

The resource name of the Knowledge Assistant. Format: knowledge-assistants/{knowledge_assistant_id}

statestringBeta

State of the Knowledge Assistant. Not returned in List responses.

Values: STATE_UNSPECIFIED, CREATING, ACTIVE, FAILED

idstringBeta

Deprecated: use knowledge_assistant_id instead.

display_namestringBeta

The display name of the Knowledge Assistant, unique at workspace level. Required when creating a Knowledge Assistant. When updating a Knowledge Assistant, optional unless included in update_mask.

Constraints: [ 4 .. 63 ] characters

descriptionstringBeta

Description of what this agent can do (user-facing). Required when creating a Knowledge Assistant. When updating a Knowledge Assistant, optional unless included in update_mask.

instructionsstringBeta

Additional global instructions on how the agent should generate answers. Optional on create and update. When updating a Knowledge Assistant, include this field in update_mask to modify it.

creatorstringBeta

The creator of the Knowledge Assistant.

create_timestringBeta

Creation timestamp.

endpoint_namestringBeta

The name of the knowledge assistant agent endpoint.

experiment_idstringBeta

The MLflow experiment ID.

error_infostringBeta

Error details when the Knowledge Assistant is in FAILED state.

Get Beta

GET /api/2.1/{name=knowledge-assistants/*}

Gets a Knowledge Assistant.

API scopes: knowledge-assistants

Parameters

namestringpath

The resource name of the knowledge assistant. Format: knowledge-assistants/{knowledge_assistant_id}

Response

Returns the KnowledgeAssistant object.

List Beta

GET /api/2.1/knowledge-assistants

List Knowledge Assistants

API scopes: knowledge-assistants

Parameters

page_sizeint32query

The maximum number of knowledge assistants to return. If unspecified, at most 100 knowledge assistants will be returned. The maximum value is 100; values above 100 will be coerced to 100.

Constraints: [ 1 .. 100 ]

page_tokenstringquery

A page token, received from a previous ListKnowledgeAssistants call. Provide this to retrieve the subsequent page. If unspecified, the first page will be returned.

Response

Returns a list of KnowledgeAssistant objects.

Create Beta

POST /api/2.1/knowledge-assistants

Creates a Knowledge Assistant.

API scopes: knowledge-assistants

Request body

knowledge_assistantobject

The Knowledge Assistant to create.

Show child attributesHide child attributes
namestring

The resource name of the Knowledge Assistant. Format: knowledge-assistants/{knowledge_assistant_id}

statestring

State of the Knowledge Assistant. Not returned in List responses.

Values: STATE_UNSPECIFIED, CREATING, ACTIVE, FAILED

idstring

Deprecated: use knowledge_assistant_id instead.

display_namestring

The display name of the Knowledge Assistant, unique at workspace level. Required when creating a Knowledge Assistant. When updating a Knowledge Assistant, optional unless included in update_mask.

Constraints: [ 4 .. 63 ] characters

descriptionstring

Description of what this agent can do (user-facing). Required when creating a Knowledge Assistant. When updating a Knowledge Assistant, optional unless included in update_mask.

instructionsstring

Additional global instructions on how the agent should generate answers. Optional on create and update. When updating a Knowledge Assistant, include this field in update_mask to modify it.

creatorstring

The creator of the Knowledge Assistant.

create_timestring

Creation timestamp.

endpoint_namestring

The name of the knowledge assistant agent endpoint.

experiment_idstring

The MLflow experiment ID.

error_infostring

Error details when the Knowledge Assistant is in FAILED state.

Response

Returns the KnowledgeAssistant object.

Update Beta

PATCH /api/2.1/{knowledge_assistant.name=knowledge-assistants/*}

Updates a Knowledge Assistant.

API scopes: knowledge-assistants

Parameters

knowledge_assistantobjectpath

The Knowledge Assistant update payload. Only fields listed in update_mask are updated. REQUIRED annotations on Knowledge Assistant fields describe create-time requirements and do not mean all those fields are required for update.

Show child attributesHide child attributes
namestring

The resource name of the Knowledge Assistant. Format: knowledge-assistants/{knowledge_assistant_id}

statestring

State of the Knowledge Assistant. Not returned in List responses.

Values: STATE_UNSPECIFIED, CREATING, ACTIVE, FAILED

idstring

Deprecated: use knowledge_assistant_id instead.

display_namestring

The display name of the Knowledge Assistant, unique at workspace level. Required when creating a Knowledge Assistant. When updating a Knowledge Assistant, optional unless included in update_mask.

Constraints: [ 4 .. 63 ] characters

descriptionstring

Description of what this agent can do (user-facing). Required when creating a Knowledge Assistant. When updating a Knowledge Assistant, optional unless included in update_mask.

instructionsstring

Additional global instructions on how the agent should generate answers. Optional on create and update. When updating a Knowledge Assistant, include this field in update_mask to modify it.

creatorstring

The creator of the Knowledge Assistant.

create_timestring

Creation timestamp.

endpoint_namestring

The name of the knowledge assistant agent endpoint.

experiment_idstring

The MLflow experiment ID.

error_infostring

Error details when the Knowledge Assistant is in FAILED state.

update_maskstringquery

Comma-delimited list of fields to update on the Knowledge Assistant. Allowed values: display_name, description, instructions. Examples:

  • display_name
  • description,instructions

Response

Returns the KnowledgeAssistant object.

Delete Beta

DELETE /api/2.1/{name=knowledge-assistants/*}

Deletes a Knowledge Assistant.

API scopes: knowledge-assistants

Parameters

namestringpath

The resource name of the knowledge assistant to be deleted. Format: knowledge-assistants/{knowledge_assistant_id}

Sync Knowledge Sources Beta

POST /api/2.1/{name=knowledge-assistants/*}/knowledge-sources:sync

Sync all non-index Knowledge Sources for a Knowledge Assistant (index sources do not require sync)

API scopes: knowledge-assistants

Parameters

namestringpath

The resource name of the Knowledge Assistant. Format: knowledge-assistants/{knowledge_assistant_id}